package com.ssj.bean.sys.appinfo.bean;

import com.ssj.bean.common.framework.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "scon_app_info")
public class AppInfo extends BaseEntity {
	private static final long serialVersionUID = 890135943022798129L;
    /**
     * 版本号
     */
    private String version;
    /**
     * 版本存放路径
     */
    private String fileKey;
    /**
     * 版本类型
     */
    private String versionType;
    /**
     * 发布次数
     */
    private Long issueNum;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 是否删除 0：否 1：是
     */
    private int isDelete = 0;
    /**
     * 类型（1：小塾（深圳），2：家长端（Android） 3:家长端（iOS） 4:小塾（上海）  5:老师端（Android）  6：老师端（iOS）
     * 7:小塾pro 8:小塾学伴pad（iOS） 9:小塾学伴（Android）10:小塾学伴（iOS）11:小塾学伴pad（Android））
     */
    private int type;
    /**
     * 是否需要升级
     */
    private int needUpdate;
    /**
     * 更新内容
     */
    private String updateContent;

    /**
     * 附件地址
     */
    private String attachmentUrl;

    @Column(name = "file_key")
    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }
    @Column(name = "version")
    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
    @Column(name = "version_type")
    public String getVersionType() {
        return versionType;
    }

    public void setVersionType(String versionType) {
        this.versionType = versionType;
    }
    @Column(name = "issue_num")
    public Long getIssueNum() {
        return issueNum;
    }

    public void setIssueNum(Long issueNum) {
        this.issueNum = issueNum;
    }
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Column(updatable=false)
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    @Column(name = "is_delete")
    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }
    @Column(name = "type")
    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getNeedUpdate() {
        return needUpdate;
    }

    public void setNeedUpdate(int needUpdate) {
        this.needUpdate = needUpdate;
    }

    public String getUpdateContent() {
        return updateContent;
    }

    public void setUpdateContent(String updateContent) {
        this.updateContent = updateContent;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }
}
